;InnoSetupVersion=2.0.11

[Setup]
AppName=DocCommander
AppVerName=DocCommander 1.2 (v1.20.14)
AppId=DocCommander
AppPublisher=UtilityPlanet.com, Inc.
AppPublisherURL=http://www.utilityplanet.com
AppSupportURL=http://www.utilityplanet.com
AppUpdatesURL=http://www.utilityplanet.com
AppMutex=DocCommanderInstallMutex
DefaultDirName={pf}\DocCommander
DefaultGroupName=DocCommander
UninstallDisplayIcon={app}\doccommander.exe
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\doccommander.exe"; DestDir: "{app}"; 
Source: "{sys}\browserui.dll"; DestDir: "{sys}"; Flags: restartreplace regserver 
Source: "{sys}\dchook.dll"; DestDir: "{sys}"; Flags: restartreplace 
Source: "{app}\dcres.dll"; DestDir: "{app}"; Flags: restartreplace 
Source: "{fonts}\Tahoma.TTF"; DestDir: "{fonts}"; Flags: uninsneveruninstall 
Source: "{win}\help\doccommander.chm"; DestDir: "{win}\help"; 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "DocCommander"; ValueType: String; ValueData: "{app}\doccommander.exe"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "1"; ValueType: String; ValueData: "pb60.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "2"; ValueType: String; ValueData: "vb6.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "3"; ValueType: String; ValueData: "coreldrw.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "4"; ValueType: String; ValueData: "pm65.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "5"; ValueType: String; ValueData: "devenv.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "6"; ValueType: String; ValueData: "dfxapp.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "7"; ValueType: String; ValueData: "iamapp.exe"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\UtilityPlanet\DocCommander\IgnoreList"; ValueName: "8"; ValueType: String; ValueData: "irftp.exe"; Flags: createvalueifdoesntexist 
Root: HKLM; Subkey: "Software\UtilityPlanet"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\UtilityPlanet\DocCommander"; ValueName: "InstallPath"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\UtilityPlanet\DocCommander\Resources"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\UtilityPlanet\DocCommander\Resources"; ValueName: "dcres"; ValueType: String; ValueData: "{app}"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\doccommander.exe"; Description: "Launch DocCommander"; Flags: postinstall skipifsilent nowait
Filename: "{win}\help\doccommander.chm"; Description: "Show ""Welcome"" Help Topic"; Flags: shellexec postinstall skipifsilent 

[Icons]
Name: "{group}\DocCommander"; Filename: "{app}\doccommander.exe"; 
Name: "{userdesktop}\DocCommander"; Filename: "{app}\doccommander.exe"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
